Facet (Gradle API 7.6.4)

Package org.gradle.plugins.ide.eclipse.model

## Class Facet

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.Facet

-     public class Facet
      extends java.lang.Object

  A project facet.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Facet.FacetType` | An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Facet()` |
    `Facet​(Node node)` |
    `Facet​(java.lang.String name, java.lang.String version)` |
    `Facet​(Facet.FacetType type, java.lang.String name, java.lang.String version)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName()` |
    `Facet.FacetType` | `getType()` |
    `java.lang.String` | `getVersion()` |
    `int` | `hashCode()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setType​(Facet.FacetType type)` |
    `void` | `setVersion​(java.lang.String version)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Facet

          public Facet()

    - #### Facet

          public Facet​(Node node)

    - #### Facet

          public Facet​(java.lang.String name,
                       java.lang.String version)

    - #### Facet

          public Facet​(Facet.FacetType type,
                       java.lang.String name,
                       java.lang.String version)

  - ### Method Detail

    - #### getType

          public Facet.FacetType getType()

    - #### setType

          public void setType​(Facet.FacetType type)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getVersion

          public java.lang.String getVersion()

    - #### setVersion

          public void setVersion​(java.lang.String version)

    - #### appendNode

          public void appendNode​(Node node)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`